//
//  ViewController.swift
//  iOSSpritverbrauch
//
//  Created by Michael Wilhelm on 8/04/2016.
//  Copyright © 2016 Michael Wilhelm. All rights reserved.
//

import UIKit

class ViewController: UIViewController {
    
    // uiAttribute
    @IBOutlet var uiInputKm: UITextField!
    
    @IBOutlet var uiInputLiter: UITextField!
    @IBOutlet var uiOutputVerbrauch: UITextField!
    
    // uiEvents
    @IBAction func bnAction(sender: UIButton) {
        var km = Double(uiInputKm.text!)
        var liter = Double(uiInputLiter.text!)
        if (km==nil)  ||  (liter==nil) {
            uiOutputVerbrauch.text="Fehlerhafte Eingabe"
        }
        else {
           let km2=km!
           let liter2=liter!
            if km2<=0.0 || liter2<=0.0 {
                uiOutputVerbrauch.text="Fehlerhafte Eingabe"
            }
            else {
                let verbrauch=liter2*100.0/km2
                uiOutputVerbrauch.text=String(format:"%.2f",verbrauch)
                let defaults=NSUserDefaults.standardUserDefaults()
                defaults.setObject(km,forKey: "km")
                defaults.setObject(liter,forKey: "liter")
            }
        }
    }
    

    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view, typically from a nib.
        let defaults=NSUserDefaults.standardUserDefaults()
        var km=defaults.doubleForKey("km")
        if km>0 {
            uiInputKm.text=String(format:"%.1f",km)
        }
        var liter=defaults.doubleForKey("liter")  // ohne !
        if liter>0 {
          uiInputLiter.text=String(format:"%.2f",liter)
        }

    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }


}

